from pprint import pprint
import json
import openpyxl
from collections import OrderedDict
import glob
import pandas as pd


def func1(excel_file):

    with open('list.json', 'r', encoding='utf-8') as file:
        data = json.load(file)

    # pprint(data)

    with open('output.json', 'r', encoding='utf-8') as file:
        data2 = json.load(file)

    # pprint(data2)

    workbook = openpyxl.load_workbook(excel_file)
    sheet = workbook.worksheets[0]

    ditOutput = OrderedDict()
    for key in data:
        adr = data2[key]
        # print(adr)
        cell_value = sheet[adr].value
        # print(f'{key} : {cell_value}')
        ditOutput[key] = cell_value

    # pprint(ditOutput)

    return ditOutput


def func2():

    file_names = glob.glob('in/*.xlsx')
   
    listOutput = []
    for fname in file_names:
        # print(fname)
        ret = func1(fname)
        # pprint(ret)
        listOutput.append(ret)

    # pprint(listOutput)
    df = pd.DataFrame(listOutput)
    # print(df)
    df.to_excel('out.xlsx', index=False)

if __name__ == '__main__':

    # ret = func1()
    # pprint(ret)

    func2()
